/*
 * printable.cpp
 *
 *  Created on: Aug 30, 2023
 *      Author: Dario
 */


#include <sta/tacos/startup.hpp>
#include <sta/debug/debug.hpp>

#include <sta/tacos/manager.hpp>
#include <sta/tacos/statemachine.hpp>
#include <tasks/dummy.hpp>
#include <gpio.h>
#include <sta/devices/stm32/gpio_pin.hpp>

#include <memory>


namespace sta
{
	namespace tacos
	{
		void onStatemachineInit()
		{

		}

		void onManagerInit()
		{
			// ###### Register different threads for different states here. ######

			// The dummy task runs for state 0.
			Manager::instance()->registerThread(std::make_shared<demo::DummyTask>("Dummy"), {0});
		}
	} // namespace tacos
} // namespace sta

